org.apache.lucene.codecs.lucene41ords

## Class Lucene41WithOrds

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.lucene41ords.Lucene41WithOrds

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class Lucene41WithOrds
    extends PostingsFormat

Customized version of `Lucene41PostingsFormat` that uses `FixedGapTermsIndexWriter`.

### Field Summary

Fields
`static int` `TERMS_CACHE_SIZE`

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`Lucene41WithOrds()`

### Method Summary

Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TERMS_CACHE_SIZE

    public static final int TERMS_CACHE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### Lucene41WithOrds

    public Lucene41WithOrds()

### Method Detail

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`